@font-face {
    font-family: flos;
    src: url('../fonts/Novera.otf');
}
@font-face {
    font-family: Nostard;
    src: url('../fonts/Nostard-Medium.ttf');
}
@font-face {
    font-family: chaos;
    src: url('../fonts/Les\ Flos\ Chaos.otf');
}
@font-face {
    font-family: big;
    src: url('../fonts/Les\ Flos\ Sage.otf');
}
:root {
    --red: #ed254e;
    --black: #002a32;
    --white: #F0F4F5;
}
* {
    margin: 0;
    font-weight: 100;
    padding: 0;
    box-sizing: border-box;
    font-family: flos;
    user-select: none;
}

*::selection {
    background-color: none;
}
body {
    background-color: var(--red);
    width: fit-content;
    height: fit-content;
    overflow-x: hidden;
}
#inicio {
    width: 100vw;
    height: 90vh;
    text-align: center;
    background-color: #ed254e;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 600px;
    h1 {
        font-size: 244px;
        color: var(--black);
        font-weight: 100;
    }
    h2 {
        font-size: 44px;
        color:var(--black);
        font-weight: 100;
    }
    nav{
        display: flex;
        gap: 16px;
        justify-content: center;
        align-items: center;
    }
}
button {
    font-weight: 100;
    letter-spacing: 1px;
    text-shadow: 0px 3px 0px black;
    gap: 4px;
    font-size: 32px;
    padding: 8px 16px;
    background-color: var(--black);
    color: var(--white);
    border: none;
    display: flex;
    align-items: center;
    border-radius: 8px;
    font-weight: 100;
    cursor: pointer;
    animation-duration: 0.5s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
    box-shadow: 0px 8px 0px black;
    transition: 0.1s ease-in-out;
    svg {
        height: 32px;
        filter: drop-shadow(0px 3px 0px black );  
    }
    &:hover {
        box-shadow: 0px 4px 0px black;
        transform: translateY(4px);
        outline: 4px solid white;
        outline-offset:2px;
    }
}
#services {
    background-color: var(--black);
    height: 70vh;
    width: 100vw;
    color: var(--red);
    text-align: center;
    min-height: 400px;
    h1 {
        font-size: 128px;
        font-weight: 100;
        padding-top: 24px;
    }
    #cards {
        display: grid;
        margin: auto;
        width: 800px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        cursor: pointer;
        .card {
            text-align: start;
            padding: 24px;  
            outline: 1px dashed var(--red);
            width: 100%;
            transition: 0.3s ease-in-out;
            background-color: var(--black);
            h2 {
                font-size: 44px;
                font-weight: 100;
            }
            p {
                color: var(--white);
                font-size: 24px;
                font-weight: 100;
                letter-spacing: 1px;
            }
            &:hover {
                transform: translate(-18px, -18px);
                box-shadow: 16px 16px 0px black;
            }
        }
    }
    
}
#division {
    width: 100vw;
    height: 20vh;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr  1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    div {
        width: 100%;
        min-height: 6.22vw;
    }
    #red {
        background-color: var(--red);

    }
    #black {
        background-color: var(--black);
    }
    #fakeblack {
        background-image: linear-gradient(var(--black),rgba(255, 255, 255, 0));

    }
}
#videos {
    width: 100vw;
    height: 160vh;
    min-height: 1600px;
    h1 {
        font-size: 124px;
        font-weight: 100;
        color: var(--white);
        text-align: center;
    }
    h2 {
        font-weight: 100;
        font-size: 48px;
        text-align: center;
        color: var(--white);
    }
    #shorts {
        margin: auto;
        margin-top: 16px;
        width: fit-content;
        gap: 16px;
        display: flex;
        iframe {
            border-radius: 18px;
        }
    }
}

.iframe  {
    width: 315px;
    overflow: hidden;
    border-radius: 18px;
    height: 560px;
    box-shadow: 4px 4px 0px black;
    transition: 0.3s ease-in-out;
    transition-delay: 0.1s;
    .iframeinfo {
        opacity: 0;
        transition: 0.6s ease;
        cursor: pointer;
        position: relative;
        width: 320px;
        height: 566px;
        top: -566px;
        left: 0px;
        padding: 24px;
        background-color: rgba(0, 0, 0, 0.8);
        img {
            height: 38px;
            width: 38px;
            margin-right: 8px;
            border-radius: 50%;
            display: inline;
        }
        h3 {
            display: inline;
            font-size: 44px;
            color: var(--red) ;
            text-shadow: 4px 4px 0px black;
        }
        p {
            color: var(--white);
            font-size: 20px;
            text-shadow: 4px 4px 0px black;
        }
    }
    &:hover {
        box-shadow: none;
        transform: translate(4px ,4px);
        .iframeinfo {
            opacity: 1;
        }
}
}
.longframe  {
    overflow: hidden;
    border-radius: 18px;
    height: 520px;
    box-shadow: 4px 4px 0px black;
    transition: 0.3s ease-in-out;
    transition-delay: 0.1s;
    border-radius: 18px;
    width: 980px;
    display: block;
    margin: auto !important;
    transform: translateY(32px);
    .iframeinfo {
        opacity: 0;
        transition: 0.6s ease;
        cursor: pointer;
        position: relative;
        width: 988px;
        height: 588px;
        top: -588px;
        left: 0px;
        padding: 24px;
        background-color: rgba(0, 0, 0, 0.8);
        img {
            height: 38px;
            width: 38px;
            margin-right: 8px;
            border-radius: 50%;
            display: inline;
        }
        h3 {
            display: inline;
            font-size: 44px;
            text-shadow: 4px 4px 0px black;
            color: var(--red) ;
        }
        p {
            color: var(--white);
            font-size: 32px;
            text-shadow: 4px 4px 0px black;
        }
    }
    &:hover {
        box-shadow: none;
        transform: translate(4px,36px);
        .iframeinfo {
            opacity: 1;
        }
    }
}
@keyframes sumir {
    100% {
        display: none !important;
        visibility: hidden;
    }
    
}
#thumbnails {
    width: 100vw;
    height: 100vh;
    background-color: var(--black);
    box-shadow: -8px -8px 0px black;
    min-height: 1000px;
    h1 {
        color: var(--white);
        font-size: 98px;
        text-align: center;
        padding-top: 64px;
    }
    h2 {
        font-size: 44px;
        color: var(--white);
        text-align: center  ;
        color: var(--red);
    }
    #thumbs {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        width: 1024px;
        height: 512px;
        margin: auto;
        margin-top: 12px;
        gap: 12px;
        img {
            width: 512px;
            height: 288px;
            border-radius: 8px;
            padding: 8px;
            cursor: pointer;
            cursor: pointer;
            border: 2px dashed var(--red);
            transition: 0.4s ease;
        }
        img:hover {
            outline: 8px solid white;
            outline-offset: 4px;
            transform: translate(0px,-8px);
        }
    }
    #loading {
        width: 100vw;
        height: 100vh;
        display: grid;
        overflow-x: hidden;
        position: relative;
        top: -844px;
        min-height: 1000px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        .loadbarright {
            width: 100%;
            height: 100%;
            background-color: var(--red);
            transition: 2s ease-out;
            box-shadow: 8px 8px 0px black;
        }
        .loadbarleft {
            width: 100%;
            height: 100%;
            background-color: var(--red);
            transition: 2s ease-in-out;
            box-shadow: 8px 8px 0px black;
        }
        .loadbarright:nth-child(1) {
            transition-delay: 0.3s;

        }
        .loadbarleft:nth-child(0) {
            transition-delay: 0.3s;
        }
        .loadbarright:nth-child(1) {
            transition-delay: 0.8s;
        }
        .loadbarleft:nth-child(1) {
            transition-delay: 0.6s;
        }
        .loadbarright:nth-child(2) {
            transition-delay: 1.2s;
        }
        .loadbarleft:nth-child(2) {
            transition-delay: 1.2s;
        }
        .loadbarright:nth-child(3) {
            transition-delay: 1s;
        }
        .loadbarleft:nth-child(6) {
            transition-delay: 0.6s;
        }
    }
    #loading.ativo {
        animation-name: sumir;
        animation-duration: 0.1s;
        animation-delay: 3s;
        animation-fill-mode: forwards;
        .loadbarright {
            transform: translateX(-50vw);
        }
        .loadbarleft {
            transform: translateX(50vw);
        }
    }
}
a {
    text-decoration: none;
}
#transition {
    height: 30vh;
    width: 100vw;
    background-image: linear-gradient(var(--black), black);
}
#creditosdev {
    height: 40vh;
    width: 100vw;
    background-color: black;
    min-height: 400px;
    h1 {
        font-size: 88px;
        text-align: center;
        color: white;
        font-family: big;
    }
    p {
        color: white;
        font-size: 38px;
        max-width: 800px;
        text-align: center;
        margin: auto;
        line-height: 0.9;
        margin-top: 18px;
        font-family: big;
    }
    a {
        display: block;
        margin: auto;
        width: 80px;
        height: 80px;
        button {
            background-color: transparent;
            border-radius: 8px;
            border: 1px dashed white;
            margin-top: 16px;
            cursor: pointer;
            transition: 0.3s ease;
            svg {
                fill: white;
            }
            &:hover {
                background-color: white;
                svg {
                    fill: black;
                }
            }
        }
    }
}
html {
    scroll-behavior: smooth;
}
#vermais {
    margin: auto;
    width: fit-content;
    display: block;
    padding-top: 88px;
}
@media (max-width:1000px) {
    #inicio {
        nav {
            flex-wrap: wrap;
            width: fit-content;
            margin: auto;
            align-items: center;
            justify-content: center;
        }
    }
    #services {
        min-height:  1000px;
        h1 {
            line-height: 0.8;
            margin: 44px 0;
            padding-top: 22px;
        }
        #cards {
            width: 80vw;
            font-size: 24px;
            .card {
                h2 {
                font-size: 32px;
            }
            }
        }
    }
    #videos {
        #shorts {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            #tres {
                display: none !important;
                visibility: hidden !important;
                div {
                    display: none;
                    visibility: hidden;
                }
            }
        }
        .longframe {
            width: 646px;
            height: 364px;
            div {
                transform: translateY(200px);
                padding: 24px;
                p {
                    font-size: 20px;
                    text-wrap: wrap;
                    max-width: 60%;
                }

            }
            iframe {
                width: 100%;
                height: 100%;
            }
        }
    }
    #thumbnails {
        #thumbs {
            width: 90vw;
            height: fit-content;
            img {
                width: 100%;
                height: fit-content;
            }
        }
    }
}
@media (max-width:640px) {
    #inicio {
        height: 400px;
        div {
            h1 {
                font-size: 144px !important;
            }
            h2 {
                font-size: 32px !important;
            }
            
        }
    }
    #services {
        h1 {
            font-size: 100px;
        }
        #cards {
            .card {
                width: 100%;
                padding: 8px ;
            }
        }
    }
    #videos {
        min-height: 2000px;
        h1 {
            font-size: 88px !important;
        }
        .longframe {
            width: 90%;
        }
    }
    #thumbnails {
        min-height: 500px;
        h1 {
            font-size: 64px;
        }
        h2 {
            font-size: 32px;
        }
    }
    #division {
        overflow-x: hidden;
        min-height: 176px;
        div {
            min-height: 88px;
            min-width: 88px;
        }
        overflow: hidden;
    }
    #creditosdev {
        height: 500px;
    }
}
@media (max-width:500px) {
    #inicio {
        div {
            h1 {
                font-size: 124px !important;
            }
        }
        nav {
            margin-top: 24px;
            flex-direction: column;
        }

    }
    #thumbnails {
        height: 1000px;
    }
    #loading {
        transform: translateY(-350px) !important;
    }
    #thumbs {
        grid-template-columns: 1fr !important ;
        grid-template-rows: 1fr 1fr 1fr 1fr !important;
    }
    #creditosdev {
        h1 {
            font-size: 44px;
        }
        p {
            font-size: 24px;
        }
    }
    #services {
        min-height: 700px !important;
    }
    #videos {
        h1 {
            margin-top: 44px;
        }
    }
}
#mais-videos {
    width: 100vw;
    #shorts {
        width: 80vw;
        align-items: center;
        justify-content: center;
        display: flex;
    }
    h1 {
        font-size: 108px;
        color: white;
        text-align: center;
        margin: auto;
        margin-top: 108px;
    }
}